package br.ufes.inf.prog3.lista2.exercicio02a;

/**
 * Classe que representa um CD.
 * 
 * Parte do exercício 2a, da lista 2.
 *
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public class CD extends Produto {
	/** Número de faixas. */
	private int numeroFaixas;
	
	/** Constructor. */
	public CD(String nome, double preco, int numeroFaixas) {
		super(nome, preco);
		this.numeroFaixas = numeroFaixas;
	}

	/** @see br.ufes.inf.prog3.lista2.exercicio02a.Produto#toString() */
	@Override
	public String toString() {
		return super.toString() + "; # faixas: " + numeroFaixas;
	}
}
