package br.ufes.inf.prog3.lista2.exercicio02a;

/**
 * Classe que representa um livro.
 * 
 * Parte do exercício 2a, da lista 2.
 *
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public class Livro extends Produto {
	/** Autor do livro. */
	private String autor;
	
	/** Constructor. */
	public Livro(String nome, double preco, String autor) {
		super(nome, preco);
		this.autor = autor;
	}

	/** @see br.ufes.inf.prog3.lista2.exercicio02a.Produto#toString() */
	@Override
	public String toString() {
		return super.toString() + "; Autor: " + autor;
	}
}
