package br.ufes.inf.prog3.lista2.exercicio02b;

/**
 * Classe principal do exercício 2b, da lista 2.
 *
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public class Exercicio02a {
	/** Busca um produto em um vetor de produtos. */
	private static int buscarProduto(Produto[] vetor, Produto produto) {
		for (int i = 0; i < vetor.length; i++)
			if (produto.equals(vetor[i])) return i;
		System.out.println("Produto não encontrado: " + produto);
		return -1;
	}
	
	public static void main(String[] args) {
		// Adiciona 5 elementos quaisquer a um vetor de produtos.
		Produto[] produtos = new Produto[5];
		produtos[0] = new CD(1, "Que país é este", 14.9, 9);
		produtos[1] = new DVD(2, "Matrix", 24.9, 90);
		produtos[2] = new Livro(3, "O Senhor dos Anéis", 39.9, "J. R. Tolkien");
		produtos[3] = new Livro(4, "Harry Potter", 39.9, "J. K. Rowling");
		produtos[4] = new DVD(5, "Inception", 29.9, 100);
		
		// Imprime o conteúdo do vetor.
		for (int i = 0; i < 5; i++) System.out.println(i + ": " + produtos[i]);
		
		// Cria 2 clones do produto na posição 2, um com o mesmo código e outro diferente, e busca no vetor.
		int pos = buscarProduto(produtos, new Livro(3, "O Senhor dos Anéis", 39.9, "J. R. Tolkien"));
		System.out.println("pos = " + pos);
		pos = buscarProduto(produtos, new Livro(999, "O Senhor dos Anéis", 39.9, "J. R. Tolkien"));
		System.out.println("pos = " + pos);
	}
}
