package br.ufes.inf.prog3.lista2.exercicio03;

/**
 * Classe que representa um quadrado.
 *
 * Parte do exercício 3, da lista 2.
 *
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public class Quadrado extends Quadrilatero {
	/** Construtor. */
	public Quadrado(double lado) {
		super(lado, lado, lado, lado);
	}
		
	/** @see br.ufes.inf.prog3.lista2.exercicio03.Forma#calcularArea() */
	@Override
	public double calcularArea() {
		return lados[0] * lados[0];
	}
	
	/** Retorna o tamanho do lado. */
	public double getLado() {
		return lados[0];
	}
}
