package br.ufes.inf.prog3.lista2.exercicio03;

/**
 * Classe que representa um quadrilátero.
 *
 * Parte do exercício 3, da lista 2.
 *
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public abstract class Quadrilatero implements Forma {
	/** Tamanho dos lados do quadrilátero. */
	protected double[] lados;
	
	/** Constructor. */
	public Quadrilatero(double l1, double l2, double l3, double l4) {
		lados = new double[] {l1, l2, l3, l4};
	}

	/** @see br.ufes.inf.prog3.lista2.exercicio03.Forma#calcularPerimetro() */
	@Override
	public double calcularPerimetro() {
		return lados[0] + lados[1] + lados[2]	+ lados[3];
	}
}
