package br.ufes.inf.prog3.lista2.exercicio02a;

/**
 * Classe que representa um produto da loja.
 * 
 * Parte do exercício 2a, da lista 2.
 *
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public abstract class Produto {
	/** Nome do produto. */
	private String nome;
	
	/** Preço do produto. */
	private double preco;
	
	/** Construtor. */
	public Produto(String nome, double preco) {
		this.nome = nome;
		this.preco = preco;
	}

	/** @see java.lang.Object#toString() */
	@Override
	public String toString() {
		return nome + "; R$ " + preco;
	}
}
