package br.ufes.inf.prog3.lista2.exercicio02c;

/**
 * Classe que representa um DVD.
 * 
 * Parte do exercício 2c, da lista 2.
 *
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public class DVD extends Produto {
	/** Duração do DVD. */
	private int duracao;
	
	/** Constructor. */
	public DVD(int codigoBarras, String nome, double preco, int duracao) {
		super(codigoBarras, nome, preco);
		this.duracao = duracao;
	}

	/** @see br.ufes.inf.prog3.lista2.exercicio02a.Produto#toString() */
	@Override
	public String toString() {
		return super.toString() + "; duração: " + duracao + "min";
	}
}
