package br.ufes.inf.prog3.lista2.exercicio03;

/**
 * Classe que representa um círculo.
 *
 * Parte do exercício 3, da lista 2.
 *
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public class Circulo implements Forma {
	/** Tamanho do raio do círculo. */
	private double raio;

	/** Constructor. */
	public Circulo(double raio) {
		this.raio = raio;
	}

	/** @see br.ufes.inf.prog3.lista2.exercicio03.Forma#calcularPerimetro() */
	@Override
	public double calcularPerimetro() {
		return 2 * Math.PI * raio;
	}

	/** @see br.ufes.inf.prog3.lista2.exercicio03.Forma#calcularArea() */
	@Override
	public double calcularArea() {
		return Math.PI * raio * raio;
	}
	
	/** Retorna o tamanho do raio. */
	public double getRaio() {
		return raio;
	}
}
