package br.ufes.inf.prog3.lista2.exercicio03;

/**
 * Classe que representa um retângulo.
 *
 * Parte do exercício 3, da lista 2.
 *
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public class Retangulo extends Quadrilatero {
	/** Construtor. */
	public Retangulo(double base, double altura) {
		super(base, altura, base, altura);
	}
		
	/** @see br.ufes.inf.prog3.lista2.exercicio03.Forma#calcularArea() */
	@Override
	public double calcularArea() {
		return lados[0] * lados[1];
	}
	
	/** Retorna o tamanho da base. */
	public double getBase() {
		return lados[0];
	}
	
	/** Retorna o tamanho da altura. */
	public double getAltura() {
		return lados[1];
	}
}
