package br.ufes.inf.prog3.lista2.exercicio04.dominio;

/**
 * Interface para contatos (telefone, email, etc.) em uma agenda.
 * 
 * Parte do exercício 4, da lista 2.
 *
 * @author Vitor E. Silva Souza (vitorsouza@gmail.com)
 * @version 1.0
 */
public interface Contato {
	/** Obtém o nome do contato. */
	String getNome();
	
	/** Obtém a informação de contato. */
	String getContato();
	
	/** Obtém o tipo de contato. */
	String getTipo();
}
